import { ignoreForAuthors } from './rules/ignore-for-authors.js';
/**
 * The main plugin object for `@mridang/commitlint-plugin-conditionals`.
 * This object is what `commitlint` will load and use. It exports the rules
 * provided by this plugin.
 *
 * Initially, it offers a single rule:
 * - `ignore-for-authors`: Identifies commits by specified author patterns.
 * As implemented, this rule itself always passes but provides informative
 * messages. Achieving a true "ignore all other linting" effect for these
 * authors requires dynamic configuration in the user's
 * `commitlint.config.js` or `commitlint.config.ts`.
 */
const plugin = {
    rules: {
        'ignore-for-authors': ignoreForAuthors,
    },
};
// noinspection JSUnusedGlobalSymbols
export default plugin;
//# sourceMappingURL=index.js.map